## python-oslo.policy 1.38.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

requests>=2.14.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
PyYAML>=3.12 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (1.38.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:10:43 +0200

python-oslo.policy (1.38.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 00:10:58 +0200

python-oslo.policy (1.33.1-4) unstable; urgency=medium

  * Using python3 -m sphinx to build the doc (Closes: #902590).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Jun 2018 15:54:48 +0200

python-oslo.policy (1.33.1-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:10:57 +0000

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-coverage,
 python-hacking,
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.21.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslosphinx,
 python-oslotest (>= 1:3.2.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1),
 python-six,
 python-stestr (>= 2.0.0),
 python-stevedore (>= 1.20.0),
 python-yaml,
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.21.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy
Architecture: all
Depends:
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.21.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-requests (>= 2.14.2),
 python-six,
 python-stevedore (>= 1.20.0),
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 2.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 2.x module.

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.21.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.policy.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.policy-doc/usr/share/doc/python-oslo.policy-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.policy 2.1.1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 requests>=2.14.2 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
-oslo.context>=2.21.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 PyYAML>=3.12 # MIT

=== debian/changelog ===
python-oslo.policy (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:18:54 +0200

python-oslo.policy (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Blacklist failing unit tests:
    - oslo_policy.tests.test_fixtures.FixtureTestCase.test_enforce_http_true
    - oslo_policy.tests.test_fixtures.FixtureTestCase.test_enforce_https_true
    - EnforcerTest.test_enforcer_understands_domain_scope
    - EnforcerTest.test_enforcer_raises_invalid_scope_with_project_scope_type

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 23:35:28 +0100

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslosphinx,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore (>= 1.30.1),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-requests,
 python3-six,
 python3-stevedore (>= 1.30.1),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

## python-oslo.policy 2.3.2

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.5,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.5;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (2.3.2-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 10:52:21 +0200

python-oslo.policy (2.2.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:11:31 -0400

python-oslo.policy (2.2.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:17:44 -0400

python-oslo.policy (2.2.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/rules: Run all unit tests.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 12:08:13 -0400

python-oslo.policy (2.1.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:05 +0000

python-oslo.policy (2.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Drop, included upstream.
  * d/tests/control: Drop use of needs-recommends.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:23:35 +0000

python-oslo.policy (1.41.0-0ubuntu2) disco; urgency=medium

  * d/p/deepcopy-of-dictionary.patch: Cherry-picked from upstream gerrit
    review (https://review.openstack.org/618536) to fix failing dep8 test.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 10:00:01 -0500

python-oslo.policy (1.41.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:23:06 +0000

python-oslo.policy (1.38.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 16:17:37 -0400

python-oslo.policy (1.37.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch to python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 09:32:38 +0100

python-oslo.policy (1.37.0-0ubuntu1) cosmic; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - Update Vcs-* fields.
    - Enable autopkgtest-pkg-python testsuite.

  [ James Page ]
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 10:17:54 +0100

python-oslo.policy (1.33.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:20 +0000

python-oslo.policy (1.33.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jan 2018 14:03:11 +0000

python-oslo.policy (1.32.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:57 +0000

python-oslo.policy (1.30.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 16:46:37 +0000

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.policy
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.policy
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.policy.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.policy-doc/usr/share/doc/python-oslo.policy-doc/html
	dh_sphinxdoc
endif

## python-oslo.policy 2.4.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (2.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:48:00 +0000

python-oslo.policy (2.4.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/t/*: Add autopkgtests.
    - d/watch: Retain using openstack.org.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/t/python-import: Ensure this test is py3-only.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 10 Dec 2019 10:00:28 +0100

python-oslo.policy (2.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:41:36 +0200

python-oslo.policy (2.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 11:32:14 +0200

python-oslo.policy (2.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2019 17:58:22 +0200

python-oslo.policy (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 13:59:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 9),
  dh-python,
  openstack-pkg-tools (>= 96~),
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -35,7 +35,7 @@
  python3-yaml (>= 3.12),
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.policy
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.policy
 Homepage: https://github.com/openstack/oslo.policy

## python-oslo.policy 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,4 @@
 PyYAML>=3.12 # MIT
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
+oslo.utils>=3.40.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,8 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 openstackdocstheme>=1.20.0 # Apache-2.0
-sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
-sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
+sphinx>=1.8.0,!=2.1.0 # BSD
 sphinxcontrib-apidoc>=0.2.0  # BSD
 
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (3.1.0-0ubuntu1.1) focal; urgency=medium

  * d/gbp.conf: Create stable/ussuri branch.
  * d/p/reload-policy-files.patch: Cherry-picked from upstream master
    to ensure policy directory files are reapplied after change to primary
    policy file (LP: #1880959).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jun 2020 14:17:43 -0400

python-oslo.policy (3.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 11:31:51 -0400

python-oslo.policy (3.0.3-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:26 -0400

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'oslo_policy\.tests\.(?!(.*test_fixtures\.FixtureTestCase\.test_enforce_http_true.*|.*test_fixtures\.FixtureTestCase\.test_enforce_https_true.*|.*test_policy\.EnforcerTest\.test_enforcer_understands_domain_scope.*|.*test_policy\.EnforcerTest\.test_enforcer_raises_invalid_scope_with_project_scope_type.*))'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.policy/ oslo.policy-(\d.*)\.tar\.gz

## python-oslo.policy 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 oslo.context>=2.22.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=5.1 # MIT
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.utils>=3.40.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 09:51:56 +0200

python-oslo.policy (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed python3-yaml minimum version.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:26:18 +0200

python-oslo.policy (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:18:45 +0200

python-oslo.policy (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:22:41 +0200

python-oslo.policy (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:15:22 +0200

python-oslo.policy (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-oslo.utils as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Apr 2020 22:42:02 +0200

python-oslo.policy (3.0.3-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:37:27 +0200

python-oslo.policy (2.3.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 14:17:00 +0100

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.40.0),
 python3-oslosphinx,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore (>= 1.30.1),
 python3-yaml (>= 5.1),
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.40.0),
 python3-requests,
 python3-six,
 python3-stevedore (>= 1.30.1),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

## python-oslo.policy 3.7.0

=== debian/changelog ===
python-oslo.policy (3.7.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:51:26 +0000

python-oslo.policy (3.7.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:35:48 -0400

python-oslo.policy (3.6.0-0ubuntu2) hirsute; urgency=medium

  * d/control: Remove unnecessary build-depend (pre-commit).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 13:32:23 +0000

python-oslo.policy (3.6.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 14:00:44 +0000

python-oslo.policy (3.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:35:46 -0400

python-oslo.policy (3.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/fix-unit-tests-to-work-with-stevedore-2.0.1.patch: Removed. Change
    landed upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:29:53 +0000

python-oslo.policy (3.3.1-0ubuntu2) groovy; urgency=medium

  * d/control: Ensure python3-stevedore (Build-)Dependency aligns
    with d/p/fix-unit-tests-to-work-with-stevedore-2.0.1.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Aug 2020 16:50:03 -0400

python-oslo.policy (3.3.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.
  * d/p/reload-policy-files.patch: Dropped. Fixed upstream.
  * d/p/fix-unit-tests-to-work-with-stevedore-2.0.1.patch: Cherry-picked
    from upstream master to fix failing unit test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:51:31 -0400

python-oslo.policy (3.2.0-0ubuntu2) groovy; urgency=medium

  * d/p/reload-policy-files.patch: Cherry-picked from upstream master
    to ensure policy directory files are reapplied after change to primary
    policy file (LP: #1880959).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jun 2020 10:47:11 -0400

python-oslo.policy (3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:17 -0400

## python-oslo.policy 3.8.1

=== debian/changelog ===
python-oslo.policy (3.8.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 11:45:24 -0400

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 96~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-hacking,
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.40.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-yaml (>= 5.1),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.policy
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.policy
Homepage: https://opendev.org/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 python3-oslo.utils (>= 3.40.0),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

## python-oslo.policy 3.11.0

=== debian/changelog ===
python-oslo.policy (3.11.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:20:22 -0500

python-oslo.policy (3.10.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 14:43:25 -0500

python-oslo.policy (3.10.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:15:20 -0500

python-oslo.policy (3.9.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:44:49 -0500

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 96~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,

## python-oslo.policy 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,10 @@
 # process, which may cause wedges in the gate later.
 
 requests>=2.14.2 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
+oslo.config>=6.0.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 PyYAML>=5.1 # MIT
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 oslo.utils>=3.40.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:53:59 +0200

python-oslo.policy (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:35:58 +0200

python-oslo.policy (3.11.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 16:37:22 +0100

python-oslo.policy (3.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:13:47 +0100

python-oslo.policy (3.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Nov 2021 15:25:11 +0100

python-oslo.policy (3.8.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:49:22 +0200

python-oslo.policy (3.8.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:48:23 +0200

python-oslo.policy (3.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:10:57 +0200

python-oslo.policy (3.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed version when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:19:26 +0100

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.policy/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.policy 4.1.1

=== debian/changelog ===
python-oslo.policy (4.1.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 15:47:03 +0000

python-oslo.policy (4.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:18:23 -0500

python-oslo.policy (4.0.0-0ubuntu2) kinetic; urgency=medium

  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:58:26 -0400

python-oslo.policy (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 14:21:17 -0400

python-oslo.policy (3.12.1-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:16:10 -0400

python-oslo.policy (3.12.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 May 2022 13:51:39 -0400

## python-oslo.policy 4.2.0

=== debian/changelog ===
python-oslo.policy (4.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Jun 2023 14:42:30 +0000

python-oslo.policy (4.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/p/skip-if-root.patch: Test skipped if build is running as root
    as lpci builds in .launchpad.yaml do.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:05:24 -0400

## python-oslo.policy 4.2.1

=== debian/changelog ===
python-oslo.policy (4.2.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 21:03:59 +0000

python-oslo.policy (4.2.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:54:16 -0400

## python-oslo.policy 4.3.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (4.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:37:02 +0000

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bandit,
 python3-coverage (>= 4.0),
 python3-hacking,
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.40.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-yaml (>= 5.1),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.policy
Homepage: https://opendev.org/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config (>= 1:6.0.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 python3-oslo.utils (>= 3.40.0),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/oslo.policy.git
+export PYBUILD_NAME=oslo_policy
+
+UPSTREAM_GIT := https://opendev.org/openstack/oslo.policy.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build

## python-oslo.policy 4.4.0

=== requirements.txt ===
requests>=2.14.2 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
PyYAML>=5.1 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.utils>=3.40.0 # Apache-2.0

=== debian/changelog ===
python-oslo.policy (4.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090573).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:38:49 +0100

python-oslo.policy (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:56:25 +0200

python-oslo.policy (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:11:34 +0200

python-oslo.policy (4.3.0-3) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1070182).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 08:33:44 +0200

python-oslo.policy (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:39:37 +0200

python-oslo.policy (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:29:36 +0100

python-oslo.policy (4.2.1-3) unstable; urgency=medium

  * Add fix-external-link-broken.patch (Closes: #1057615).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 16:10:44 +0100

python-oslo.policy (4.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:48:48 +0200

python-oslo.policy (4.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 14:34:46 +0200

python-oslo.policy (4.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046302).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 23:46:05 +0200

python-oslo.policy (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:39:26 +0200

python-oslo.policy (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:04:15 +0100

=== debian/control ===
Source: python-oslo.policy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.policy.git
Homepage: https://github.com/openstack/oslo.policy

Package: python-oslo.policy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: RBAC policy enforcement library for OpenStack - doc
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the documentation.

Package: python3-oslo.policy
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-requests,
 python3-stevedore,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.policy-doc,
Description: RBAC policy enforcement library for OpenStack - Python 3.x
 Oslo.policy provides a Role Based Access Control policy enforcement library
 for OpenStack.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=oslo_policy
-
-UPSTREAM_GIT := https://opendev.org/openstack/oslo.policy.git
+UPSTREAM_GIT := https://github.com/openstack/oslo.policy.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info .stestr doc/source/reference/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.policy 4.5.0

=== debian/changelog ===
python-oslo.policy (4.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependency on six.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 12:07:46 +0000

python-oslo.policy (4.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Drop surplus test requirements.
  * d/{control,tests}/*: Test with all supported Pythons.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:32:10 +0100

## python-oslo.policy 4.5.1

=== debian/changelog ===
python-oslo.policy (4.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:52:23 +0000

=== debian/tests/control ===
Tests: python-stestr, python-import
Depends: @, @builddeps@, python3-all
Restrictions: allow-stderr

## python-oslo.policy 4.5.1+git2025070815.fc28a7b

=== debian/changelog ===
python-oslo.policy (4.5.1+git2025070815.fc28a7b-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version.
  * d/p/skip-if-root.patch: Refresh. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 14:56:33 -0700
